List Orders
Retrieves full details of orders associated with a Profile ID, with optional filters.
- Historical data prior to May 16, 2022 is unavailable.
- Pagination Limit has a max of 1000. Pagination Offset is now deprecated and nonfunctional.
- Filtering options are
account_id,profile_idor neither (all orders).
Documentation Index
Fetch the complete documentation index at: https://paxos-0ac97319-smp-paxos-patch-1.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Query Parameters
The profile associated with the orders.
The account under which these orders are placed.
Filter by the trading pair.
ETHEUR, ETHSGD, ETHUSD, BTCEUR, BTCSGD, BTCUSD, PAXGUSD, BCHUSD, LTCUSD, USDPUSD, LINKUSD, MATICUSD, AAVEUSD, UNIUSD Filter by the status of the order.
PENDING_SUBMISSION, SUBMITTED, OPEN, FILLED, CANCELLED, REJECTED Only return records after this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.
Only return records before this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.
The idempotence IDs provided during order creation.
Cursor token for fetching the next page. If using this then do not use paginationLimit and paginationOffset fields.
Number of results to return. If using this then do not use paginationLimit and paginationOffset fields.